load("@ytt:data", "data")

SERVICE_TYPE_NODEPORT = "NodePort"
SERVICE_TYPE_LOADBALANCER = "LoadBalancer"

def validate_pinniped():
    # nothing here, just a placeholder!
end

def is_mgmt_cluster():
  return data.values.tkg_cluster_role == "management"
end

def is_workload_cluster():
  return data.values.tkg_cluster_role == "workload"
end

# at present we ignore identity_management_type as a render gate for mgmt clusters
def render_on_mgmt_cluster():
  return is_mgmt_cluster()
end

def render_on_workload_cluster():
  return is_workload_cluster() and data.values.identity_management_type != "none"
end

#export
values = data.values
